Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.system
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.util.NestedException
                  org.jboss.system.ConfigurationException

All Implemented Interfaces:
  org.jboss.util.NestedThrowable, Serializable

Direct Known Subclasses:
  InvalidAttributeException, MissingAttributeException

public class ConfigurationException
extends org.jboss.util.NestedException

Thrown to indicate a non-fatal configuration related problem.

Version:
  `$Revision: 1.1 $`
Author:
  Jason Dillon
See Also:
  `ConfigurationService`, Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary

Fields inherited from class org.jboss.util.NestedException
`nested`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`ConfigurationException()` Construct a `ConfigurationException` with no detail.
`ConfigurationException(String msg)` Construct a `ConfigurationException` with the specified detail message.
`ConfigurationException(String msg, Throwable nested)` Construct a `ConfigurationException` with the specified detail message and nested `Throwable`.
`ConfigurationException(Throwable nested)` Construct a `ConfigurationException` with the specified nested `Throwable`.

Methods inherited from class org.jboss.util.NestedException
`getCause, getMessage, getNested, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException(String msg)

  Construct a `ConfigurationException` with the specified detail message.

Parameters:
  `msg` - Detail message.

### ConfigurationException

    public ConfigurationException(String msg,
                                  Throwable nested)

  Construct a `ConfigurationException` with the specified detail message and nested `Throwable`.

Parameters:
  `msg` - Detail message.
  `nested` - Nested `Throwable`.

### ConfigurationException

    public ConfigurationException(Throwable nested)

  Construct a `ConfigurationException` with the specified nested `Throwable`.

Parameters:
  `nested` - Nested `Throwable`.

### ConfigurationException

    public ConfigurationException()

  Construct a `ConfigurationException` with no detail.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.